Raul::List< T >::const_iterator Class Reference
Realtime Audio Utility Library

Realtime safe const iterator for a List. More...

`#include <List.hpp>`

## Public Member Functions

| const_iterator (const List< T > *const list)
| const_iterator stuff ///
| const_iterator (const iterator &i)
const T & | operator* ()
const T * | operator-> ()
const_iterator & | operator++ ()
bool | operator!= (const const_iterator &iter) const
bool | operator!= (const iterator &iter) const
bool | operator== (const const_iterator &iter) const
bool | operator== (const iterator &iter) const
List< T >::Node * | node ()
const List< T >::Node * | node () const

## Friends

class | List< T >

## Detailed Description

### template<typename T>
class Raul::List< T >::const_iterator

Realtime safe const iterator for a List.

The documentation for this class was generated from the following files:

- List.hpp
- ListImpl.hpp